/*
 * Mattermost API Reference
 *
 * There is also a work-in-progress [Postman API reference](https://documenter.getpostman.com/view/4508214/RW8FERUn).
 *
 * The version of the OpenAPI document: 4.0.0
 * Contact: feedback@mattermost.com
 * Generated by: https://openapi-generator.tech
 */

#[derive(Clone, Debug, PartialEq, Default, serde::Serialize, serde::Deserialize)]
pub struct CheckUserMfa200Response {
    /// Value will `true` if MFA is active, `false` otherwise
    #[serde(rename = "mfa_required", skip_serializing_if = "Option::is_none")]
    pub mfa_required: Option<bool>,
}

impl CheckUserMfa200Response {
    pub fn new() -> CheckUserMfa200Response {
        CheckUserMfa200Response { mfa_required: None }
    }
}
